Skip to main content
GET
/
models
/
{model_id}
Retrieve a model
curl --request GET \
  --url https://app.gomangrove.com/api/v1/models/{model_id} \
  --header 'Authorization: <api-key>'
import requests

url = "https://app.gomangrove.com/api/v1/models/{model_id}"

headers = {"Authorization": "<api-key>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: '<api-key>'}};

fetch('https://app.gomangrove.com/api/v1/models/{model_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "id": "mdl_abc123def456",
  "name": "Carbon Calculation Model",
  "version": 1,
  "is_latest": true,
  "cadence": "monthly",
  "partition_type": "feedstock",
  "order": 1,
  "created_at": "2025-01-15T10:00:00.000Z",
  "updated_at": "2025-01-15T10:00:00.000Z"
}
{
"status": "error",
"statusCode": 404,
"errors": [
{
"message": "record not found"
}
]
}

Authorizations

Authorization
string
header
required

Path Parameters

model_id
string
required

Model friendly ID (e.g., mdl_abc123def456)

Response

200

id
string
Example:

"mdl_abc123def456"

name
string
version
integer
is_latest
boolean
cadence
string
partition_type
string

Batch partition strategy: time, feedstock, tracking_id, or asset

order
integer
created_at
string<date-time>
updated_at
string<date-time>